AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~

[討論] 求新手教學

上一篇主題 下一篇主題 向下

[討論] 求新手教學

發表 由 vic665339 于 2017-05-04, 06:12



我想畫出左邊 第2張圖 (F-x圖 剪力圖) 現在只做到一半可是都一直出現問題,這是我目前寫的程式碼,我想先把在L1前的水平線畫出來,
(defun c:yochen(/ W L2 L1 L R1 )
       (setq W (getreal "\n 負載值:"))
       (setq L2 (getreal "\n 負載離b點的距離:"))
       (setq L1 (getreal "\n 負載離a點的距離:"))
       (setq L (+ L1 L2))
       (setq R1 ( * ( / (* W (* L2 L2)) (* L (* L L))) (+ (* 3 L1) L2)))
       (setq il 0) (setq sum 0.1)
        (while (< il L1)
          (setq pt1 (list il -R1 ))
          (setq pt2 (list sum -R1))
          (command "line" pt1 pt2)
          (setq il (+ il 0.1))
          (setq sum (+ sum 0.1))
        )
       (prin1)
)
拜託了拜託了
avatar
vic665339
新手上路
新手上路

文章總數 : 1
年齡 : 21
來自 : 苗栗縣頭份鎮
職業 : 學生
愛好 : 運動
個性 : 隨何
使用年資 : 新手初學
使用版本 : 2017
經驗值 : 146
威望值 : 0
注冊日期 : 2017-05-04
男 雙子座 鼠

回頂端 向下

上一篇主題 下一篇主題 回頂端


 
這個論壇的權限:
無法 在這個版面回復文章